<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:06 CET 2009 -->
<TITLE>
MatReservedStructure
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.jsmat.variable.MatReservedStructure class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="MatReservedStructure";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MatReservedStructure.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedMatrix.html" title="class in ch.javasoft.jsmat.variable"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/jsmat/variable/MatStructure.html" title="class in ch.javasoft.jsmat.variable"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/jsmat/variable/MatReservedStructure.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MatReservedStructure.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.jsmat.variable.MatVariable">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.jsmat.variable</FONT>
<BR>
Class MatReservedStructure</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html" title="class in ch.javasoft.jsmat.variable">ch.javasoft.jsmat.variable.MatVariable</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/jsmat/variable/MatReserved.html" title="class in ch.javasoft.jsmat.variable">ch.javasoft.jsmat.variable.MatReserved</A>
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedComplex.html" title="class in ch.javasoft.jsmat.variable">ch.javasoft.jsmat.variable.MatReservedComplex</A>
              <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.jsmat.variable.MatReservedStructure</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatReservedStructure.html#line.45"><B>MatReservedStructure</B></A><DT>extends <A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedComplex.html" title="class in ch.javasoft.jsmat.variable">MatReservedComplex</A></DL>
</PRE>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_ch.javasoft.jsmat.variable.MatVariable"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class ch.javasoft.jsmat.variable.<A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html" title="class in ch.javasoft.jsmat.variable">MatVariable</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#DEFAULT_NAME">DEFAULT_NAME</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#mDims">mDims</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#mMatClass">mMatClass</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedStructure.html#MatReservedStructure(java.util.Map)">MatReservedStructure</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>,? extends <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html" title="class in ch.javasoft.jsmat.variable">MatVariable</A>&gt;&nbsp;fields)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedStructure.html#MatReservedStructure(java.util.Map[], int[])">MatReservedStructure</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>,? extends <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html" title="class in ch.javasoft.jsmat.variable">MatVariable</A>&gt;[]&nbsp;fields,
                                         int[]&nbsp;dims)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedStructure.html#checkNoReservedWriter()">checkNoReservedWriter</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/jsmat/ReservedWriter.html" title="class in ch.javasoft.jsmat">ReservedWriter</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedStructure.html#createReservedWriter(ch.javasoft.jsmat.ReservedComplexWriter, ch.javasoft.jsmat.variable.MatReserved)">createReservedWriter</A></B>(<A HREF="../../../../ch/javasoft/jsmat/ReservedComplexWriter.html" title="class in ch.javasoft.jsmat">ReservedComplexWriter</A>&nbsp;writer,
                                         <A HREF="../../../../ch/javasoft/jsmat/variable/MatReserved.html" title="class in ch.javasoft.jsmat.variable">MatReserved</A>&nbsp;reserved)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;A&gt; <A HREF="../../../../ch/javasoft/jsmat/ReservedMatrixWriter.html" title="class in ch.javasoft.jsmat">ReservedMatrixWriter</A>&lt;A&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedStructure.html#createReservedWriter(ch.javasoft.jsmat.ReservedComplexWriter, ch.javasoft.jsmat.variable.MatReservedMatrix)">createReservedWriter</A></B>(<A HREF="../../../../ch/javasoft/jsmat/ReservedComplexWriter.html" title="class in ch.javasoft.jsmat">ReservedComplexWriter</A>&nbsp;writer,
                                         <A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedMatrix.html" title="class in ch.javasoft.jsmat.variable">MatReservedMatrix</A>&lt;A&gt;&nbsp;reservedMatrix)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedStructure.html#getRawDataSize()">getRawDataSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedStructure.html#writeDataBlockEnd(java.io.DataOutput)">writeDataBlockEnd</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Called when the write process of the reserved variable is about to
 complete, that is, when <A HREF="../../../../ch/javasoft/jsmat/ReservedWriter.html#close()"><CODE>ReservedWriter.close()</CODE></A> is called.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedStructure.html#writeDataBlockStart(java.lang.String, java.io.DataOutput)">writeDataBlockStart</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Called when <A HREF="../../../../ch/javasoft/jsmat/ReservedWriter.html#open(java.lang.String)"><CODE>ReservedWriter.open(String)</CODE></A> is called.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.jsmat.variable.MatVariable"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.jsmat.variable.<A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html" title="class in ch.javasoft.jsmat.variable">MatVariable</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#checkRawDataSizeOverflow(int)">checkRawDataSizeOverflow</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#checkValueLength(int)">checkValueLength</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#getDimLength()">getDimLength</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#getFlags()">getFlags</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#getSize(java.lang.String)">getSize</A>, <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#writeStart(java.lang.String, java.io.DataOutput)">writeStart</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="MatReservedStructure(java.util.Map)"><!-- --></A><H3>
MatReservedStructure</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatReservedStructure.html#line.53"><B>MatReservedStructure</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>,? extends <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html" title="class in ch.javasoft.jsmat.variable">MatVariable</A>&gt;&nbsp;fields)</PRE>
<DL>
</DL>
<HR>

<A NAME="MatReservedStructure(java.util.Map[], int[])"><!-- --></A><H3>
MatReservedStructure</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatReservedStructure.html#line.56"><B>MatReservedStructure</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>,? extends <A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html" title="class in ch.javasoft.jsmat.variable">MatVariable</A>&gt;[]&nbsp;fields,
                            int[]&nbsp;dims)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="checkNoReservedWriter()"><!-- --></A><H3>
checkNoReservedWriter</H3>
<PRE>
protected void <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatReservedStructure.html#line.61"><B>checkNoReservedWriter</B></A>()
                              throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="writeDataBlockStart(java.lang.String, java.io.DataOutput)"><!-- --></A><H3>
writeDataBlockStart</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatReservedStructure.html#line.67"><B>writeDataBlockStart</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                                <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out)
                         throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatReserved.html#writeDataBlockStart(java.lang.String, java.io.DataOutput)">MatReserved</A></CODE></B></DD>
<DD>Called when <A HREF="../../../../ch/javasoft/jsmat/ReservedWriter.html#open(java.lang.String)"><CODE>ReservedWriter.open(String)</CODE></A> is called.
 Only the start of the data block is written here 
 (see <A HREF="../../../../ch/javasoft/jsmat/primitive/MatPrimitive.html#writeStart(ch.javasoft.jsmat.common.MatType, java.io.DataOutput, int)"><CODE>MatPrimitive.writeStart(MatType, DataOutput, int)</CODE></A>).
 The real data is appended by calling
 <A HREF="../../../../ch/javasoft/jsmat/ReservedMatrixWriter.html#append(A)"><CODE>ReservedMatrixWriter.append(Object)</CODE></A>
 The write process is terminated with <A HREF="../../../../ch/javasoft/jsmat/ReservedWriter.html#close()"><CODE>ReservedWriter.close()</CODE></A>, 
 where <A HREF="../../../../ch/javasoft/jsmat/variable/MatReserved.html#writeDataBlockEnd(java.io.DataOutput)"><CODE>MatReserved.writeDataBlockEnd(DataOutput)</CODE></A> is called.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatReserved.html#writeDataBlockStart(java.lang.String, java.io.DataOutput)">writeDataBlockStart</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatReserved.html" title="class in ch.javasoft.jsmat.variable">MatReserved</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="writeDataBlockEnd(java.io.DataOutput)"><!-- --></A><H3>
writeDataBlockEnd</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatReservedStructure.html#line.73"><B>writeDataBlockEnd</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out)
                       throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatReserved.html#writeDataBlockEnd(java.io.DataOutput)">MatReserved</A></CODE></B></DD>
<DD>Called when the write process of the reserved variable is about to
 complete, that is, when <A HREF="../../../../ch/javasoft/jsmat/ReservedWriter.html#close()"><CODE>ReservedWriter.close()</CODE></A> is called.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatReserved.html#writeDataBlockEnd(java.io.DataOutput)">writeDataBlockEnd</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatReserved.html" title="class in ch.javasoft.jsmat.variable">MatReserved</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE><DT><B>See Also:</B><DD><A HREF="../../../../ch/javasoft/jsmat/variable/MatReserved.html#writeDataBlockStart(java.lang.String, java.io.DataOutput)"><CODE>MatReserved.writeDataBlockStart(String, DataOutput)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="createReservedWriter(ch.javasoft.jsmat.ReservedComplexWriter, ch.javasoft.jsmat.variable.MatReservedMatrix)"><!-- --></A><H3>
createReservedWriter</H3>
<PRE>
public &lt;A&gt; <A HREF="../../../../ch/javasoft/jsmat/ReservedMatrixWriter.html" title="class in ch.javasoft.jsmat">ReservedMatrixWriter</A>&lt;A&gt; <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatReservedStructure.html#line.84"><B>createReservedWriter</B></A>(<A HREF="../../../../ch/javasoft/jsmat/ReservedComplexWriter.html" title="class in ch.javasoft.jsmat">ReservedComplexWriter</A>&nbsp;writer,
                                                        <A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedMatrix.html" title="class in ch.javasoft.jsmat.variable">MatReservedMatrix</A>&lt;A&gt;&nbsp;reservedMatrix)
                                             throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedComplex.html#createReservedWriter(ch.javasoft.jsmat.ReservedComplexWriter, ch.javasoft.jsmat.variable.MatReservedMatrix)">createReservedWriter</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedComplex.html" title="class in ch.javasoft.jsmat.variable">MatReservedComplex</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="createReservedWriter(ch.javasoft.jsmat.ReservedComplexWriter, ch.javasoft.jsmat.variable.MatReserved)"><!-- --></A><H3>
createReservedWriter</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/jsmat/ReservedWriter.html" title="class in ch.javasoft.jsmat">ReservedWriter</A> <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatReservedStructure.html#line.103"><B>createReservedWriter</B></A>(<A HREF="../../../../ch/javasoft/jsmat/ReservedComplexWriter.html" title="class in ch.javasoft.jsmat">ReservedComplexWriter</A>&nbsp;writer,
                                           <A HREF="../../../../ch/javasoft/jsmat/variable/MatReserved.html" title="class in ch.javasoft.jsmat.variable">MatReserved</A>&nbsp;reserved)
                                    throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedComplex.html#createReservedWriter(ch.javasoft.jsmat.ReservedComplexWriter, ch.javasoft.jsmat.variable.MatReserved)">createReservedWriter</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedComplex.html" title="class in ch.javasoft.jsmat.variable">MatReservedComplex</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getRawDataSize()"><!-- --></A><H3>
getRawDataSize</H3>
<PRE>
protected int <A HREF="../../../../src-html/ch/javasoft/jsmat/variable/MatReservedStructure.html#line.177"><B>getRawDataSize</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html#getRawDataSize()">getRawDataSize</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/jsmat/variable/MatVariable.html" title="class in ch.javasoft.jsmat.variable">MatVariable</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>size of raw data excluding type(4) and size(4) and name</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MatReservedStructure.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/jsmat/variable/MatReservedMatrix.html" title="class in ch.javasoft.jsmat.variable"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/jsmat/variable/MatStructure.html" title="class in ch.javasoft.jsmat.variable"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/jsmat/variable/MatReservedStructure.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MatReservedStructure.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.jsmat.variable.MatVariable">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
